set pagesize 85;
set linesize 100;
set tab on;

column Date format A8;
column Max  format 99999;
column Avg  format 99999;
column Min  format 99999;


insert into r_table_report (rundate, mmm, aaa, nnn)
select to_char(rundate, 'dd-mon-yy'), max(t3route), avg(t3route) "Avg", min(t3route)
from net3_stat 
where rundate between 
to_date('01-aug-93', 'dd-mon-yy')
and to_date('01-sep-93', 'dd-mon-yy')
group by to_char(rundate, 'dd-mon-yy');


for file t3.aug

select to_char( r.rundate, 'mm/dd/yy') "Date", n.t3config "Config", 
       n.t3config - 3334 "Upper Bound", 
       r.mmm "Max", r.aaa "Avg", r.nnn "Min"
from r_table_report r, net3_config n
where  to_char( r.rundate, 'mm/dd/yy') = to_char(n.rundate, 'mm/dd/yy')
and r.rundate between '01-aug-93' and '01-sep-93';



column Date format A8;
column Max  format 99.9;
column Avg  format 99.9;
column Min  format 99.9;

select to_char(rundate, 'mm/dd/yy') "Date",  
    max(100*firstpath/(t3route - t3unconfig)) "Max", 
    avg(100*firstpath/(t3route - t3unconfig)) "Avg", 
    min(100*firstpath/(t3route - t3unconfig)) "Min",
    max(100*secondpath/(t3route - t3unconfig)) "Max", 
    avg(100*secondpath/(t3route - t3unconfig)) "Avg", 
    min(100*secondpath/(t3route - t3unconfig)) "Min", 
    max(100*thirdpath/(t3route - t3unconfig)) "Max", 
    avg(100*thirdpath/(t3route - t3unconfig)) "Avg",
    min(100*thirdpath/(t3route - t3unconfig)) "Min",
    max(100*(t3route - t3unconfig - firstpath - secondpath - thirdpath)/(t3route - t3unconfig)) "Max",
    avg(100*(t3route - t3unconfig - firstpath - secondpath - thirdpath)/(t3route - t3unconfig)) "Avg",
    min(100*(t3route - t3unconfig - firstpath - secondpath - thirdpath)/(t3route - t3unconfig)) "Min"
    from net3_stat
    where rundate between to_date('08/01/93', 'mm/dd/yy') 
    and   to_date('09/01/93', 'mm/dd/yy')
    group by  to_char(rundate, 'mm/dd/yy')
    order by  to_char(rundate, 'mm/dd/yy');

rem silent_nets by AS3

column name format A35;

insert into silent_by_as (asnum, total)
select path1as, count(path1as) 
from silent_net3_aug s, net_comp3_now n
where s.netnum = n.netnum
group by path1as;

select silent_by_as.asnum, total, name
from silent_by_as, as_as3_now
where silent_by_as.asnum = as_as3_now.asnum
order by total desc;


column Date format A8;
column Max  format 99.99;
column Avg  format 99.99;
column Min  format 99.99;
---- number of nets that change paths
select to_char(rundate, 'mm/dd/yy') "Date",
max(100*(t3samenet - t3ident)/t3route) "Max", 
avg(100*(t3samenet - t3ident)/t3route) "Avg" 
from net3_stat
group by  to_char(rundate, 'mm/dd/yy')
order by  to_char(rundate, 'mm/dd/yy');


---- number of loss 
select to_char(rundate, 'mm/dd/yy') "Date",
max(100*t3loss/t3route) "Max", 
avg(100*t3loss/t3route) "Avg", 
min(100*t3loss/t3route) "Min"
from net3_stat
group by  to_char(rundate, 'mm/dd/yy')
order by  to_char(rundate, 'mm/dd/yy');

--- number of gains
select to_char(rundate, 'mm/dd/yy') "Date",
max(100*(t3route - t3samenet + t3loss)/t3route) "Max",
avg(100*(t3route - t3samenet + t3loss)/t3route) "Avg", 
min(100*(t3route - t3samenet + t3loss)/t3route) "Min"
from net3_stat
group by  to_char(rundate, 'mm/dd/yy')
order by  to_char(rundate, 'mm/dd/yy');



